Skip to main content
Platform O&M/Automated O&M/Job Scheduling APIs

UpdateSchedulerTrigger

UpdateSchedulerTrigger

PUT/zstack/v1/scheduler/triggers/{uuid}/actions

Operation ID

UpdateSchedulerTrigger

Since

2.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • name
    String

    Optional. The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • schedulerInterval
    Integer

    Optional. The scheduler interval.

  • repeatCount
    Integer

    Optional. The repeat count.

  • startTime
    Long

    Optional. The start time in Unix time.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.